- Qt 5.5
- Qt Multimedia
- C++ Classes
- QMediaPlayer
- Qt 5.5.1 Reference Documentation

# Obsolete Members for QMediaPlayer

The following members of class QMediaPlayer are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` QStringList | supportedMimeTypes(Flags flags = 0)

## Member Function Documentation

### `[static]` QStringList QMediaPlayer::supportedMimeTypes(Flags flags = 0)

Returns a list of MIME types supported by the media player.

The flags argument causes the resultant list to be restricted to MIME types which can be supported given additional requirements, such as performance indicators.

This function may not return useful results on some platforms, and support for a specific file of a given mime type is not guaranteed even if the mime type is in general supported. In addition, in some cases this function will need to load all available media plugins and query them for their support, which may take some time.